Package org.gradle.plugins.signing

# Class Signature.Generator

java.lang.Object
org.gradle.plugins.signing.Signature.Generator

Enclosing class:
  `Signature`

@Incubating public static class Signature.Generator extends Object
Configuration-cache compatible signature generator.

Since:
  8.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Generator(SignatureType signatureType, Signatory signatory, File toSign)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `File`
  `getFile()`
  `File`
  `getToSign()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Generator

    public Generator(SignatureType signatureType, Signatory signatory, File toSign)

- ## Method Details

  - ### getToSign

    @PathSensitive(NONE) @InputFile public File getToSign()

  - ### getFile

    @OutputFile public File getFile()

  - ### generate

    public void generate()